update-manager crashed with SIGSEGV in PyErr_SetFromErrnoWithFilenameObject()

Bug #312364 reported by tdflanders on 2008-12-30
4
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

thomas@thomas-laptop:~$ lsb_release -rd ; uname -a ; apt-cache policy linux update-manager
Description: Ubuntu jaunty (development branch)
Release: 9.04
Linux thomas-laptop 2.6.28-4-generic #5-Ubuntu SMP Fri Dec 26 22:48:51 UTC 2008 i686 GNU/Linux
linux:
  Installed: 2.6.28.4.4
  Candidate: 2.6.28.4.4
  Version table:
 *** 2.6.28.4.4 0
        500 http://archive.ubuntu.com jaunty/restricted Packages
        100 /var/lib/dpkg/status
update-manager:
  Installed: 1:0.95.2
  Candidate: 1:0.95.2
  Version table:
 *** 1:0.95.2 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status
thomas@thomas-laptop:~$

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/bin/update-manager
InterpreterPath: /usr/bin/python2.5
Package: update-manager 1:0.95.2
PackageArchitecture: all
ProcAttrCurrent: unconfined
ProcCmdline: /usr/bin/python2.5 /usr/bin/update-manager
ProcCwd: /home/ubuntu
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: update-manager
StacktraceTop:
 PyErr_SetFromErrnoWithFilenameObject ()
 PyErr_SetFromErrno ()
 Py_UniversalNewlineFread ()
 ?? ()
 PyEval_EvalFrameEx ()
Title: update-manager crashed with SIGSEGV in PyErr_SetFromErrnoWithFilenameObject()
Uname: Linux 2.6.28-3-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tdflanders (thomasdelbeke) wrote :
tdflanders (thomasdelbeke) wrote :
Download full text (25.9 KiB)

[...]

  libxau6-dbgsym 1:1.0.3-3
  libvorbisfile3-dbgsym 1.2.0.dfsg-3.1
  libsm6-dbgsym 2:1.1.0-1
  gvfs-dbgsym 1.1.1-0ubuntu2
  libxcb-xlib0-dbgsym 1.1-1.1
  libgcrypt11-dbgsym 1.4.1-2ubuntu1
  libffi5-dbgsym 3.0.7-1ubuntu1
  libxft2-dbg 2.1.13-2
  libmpfr1ldbl-dbgsym 2.3.2.dfsg.1-1ubuntu1
  libdbus-1-3-dbgsym 1.2.4-0ubuntu2
  scrollkeeper 0.3.14-16ubuntu1
  coreutils-dbgsym 6.10-6ubuntu1
  libdatrie0-dbgsym 0.1.3-2
  findutils-dbgsym 4.4.0-2ubuntu3
  lzma-dbgsym 4.43-14ubuntu1
  libgksu2-0-dbgsym 2.0.7-1ubuntu3
  libxcb1-dbgsym 1.1-1.1
  liblocale-gettext-perl-dbgsym 1.05-4build1
  gtk2-engines-murrine-dbgsym 0.60.1
  fontconfig-dbgsym 2.6.0-1ubuntu4
  libxfixes3-dbgsym 1:4.0.3-2
  libgmp3c2-dbgsym 2:4.2.2+dfsg-3ubuntu1
  libept0-dbgsym 0.5.26
  libpcre3-dbgsym 7.8-2ubuntu1
  liborbit2-dbgsym 1:2.14.16-0.1
  libcanberra-gtk0-dbgsym 0.10-1ubuntu3
  libpixman-1-0-dbgsym 0.13.2-0ubuntu1
  libglade2-0-dbgsym 1:2.6.3-1
  libexpat1-dbgsym 2.0.1-4
  libcurl3-dbg 7.18.2-7ubuntu2
  libxext6-dbgsym 2:1.0.4-1
  libjpeg62-dbgsym 6b-14
  libtiff4-dbgsym 3.8.2-11
  libgnutls26-dbgsym 2.4.1-1ubuntu0.2
  libc6-dbg 2.9-0ubuntu5
  librsvg2-2-dbgsym 2.22.3-1
  libxi6-dbgsym 2:1.1.4-1ubuntu1
  libxinerama1-dbgsym 2:1.0.3-2
  libc6-dbgsym 2.9-0ubuntu5
  libpopt0-dbgsym 1.14-4
  libogg0-dbgsym 1.1.3-4build1
  libvte9-dbgsym 1:0.17.4-0ubuntu3
  libxcb-render0-dbgsym 1.1-1.1
  python-gtk2-dbgsym 2.13.0-2ubuntu3
  gksu-dbgsym 2.0.0-5ubuntu4
  python2.5-minimal-dbgsym 2.5.3-0ubuntu1
  passwd-dbgsym 1:4.1.1-6ubuntu1
  libdirectfb-1.0-0-dbgsym 1.0.1-11ubuntu1
  python-gobject-dbgsym 2.15.4-1
  libxft2-dbgsym 2.1.13-2
  python-apt-dbgsym 0.7.8ubuntu1
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
Reading symbols from /usr/bin/python2.5...Reading symbols from /usr/lib/debug/usr/bin/python2.5...done.
done.
warning: core file may not match specified executable file.
warning: Can't read pathname for load map: Input/output error.
Reading symbols from /lib/tls/i686/cmov/libpthread.so.0...Reading symbols from /usr/lib/debug/lib/tls/i686/cmov/libpthread-2.9.so...done.
done.
Loaded symbols for /lib/tls/i686/cmov/libpthread.so.0
Reading symbols from /lib/tls/i686/cmov/libdl.so.2...Reading symbols from /usr/lib/debug/lib/tls/i686/cmov/libdl-2.9.so...done.
done.
Loaded symbols for /lib/tls/i686/cmov/libdl.so.2
Reading symbols from /lib/tls/i686/cmov/libutil.so.1...Reading symbols from /usr/lib/debug/lib/tls/i686/cmov/libutil-2.9.so...done.
done.
Loaded symbols for /lib/tls/i686/cmov/libutil.so.1
Reading symbols from /lib/tls/i686/cmov/libm.so.6...Reading symbols from /usr/lib/debug/lib/tls/i686/cmov/libm-2.9.so...done.
done.
Loaded symbols for /lib/tls/i686/cmov/libm.so.6
Reading symbols from /lib/tls/i686/cmov/libc.so.6...Reading symbols from /usr/lib/debug/lib/tls/i686/cmov/libc-2.9.so...done.
done.
Loaded symbols for /lib/tls/i686/cmov/libc.so.6
Reading symbols f...

tdflanders (thomasdelbeke) wrote :
tdflanders (thomasdelbeke) wrote :

root@thomas-laptop:/home/thomas# apport-retrace -g /home/thomas/Desktop/_usr_bin_update-manager.999.crash

thomas@thomas-laptop:~$ lsb_release -rd ; uname -a ; apt-cache policy linux python2.5 update-manager
Description: Ubuntu jaunty (development branch)
Release: 9.04
Linux thomas-laptop 2.6.28-4-generic #5-Ubuntu SMP Fri Dec 26 22:48:51 UTC 2008 i686 GNU/Linux
linux:
  Installed: 2.6.28.4.4
  Candidate: 2.6.28.4.4
  Version table:
 *** 2.6.28.4.4 0
        500 http://archive.ubuntu.com jaunty/restricted Packages
        100 /var/lib/dpkg/status
python2.5:
  Installed: 2.5.3-0ubuntu1
  Candidate: 2.5.3-0ubuntu1
  Version table:
 *** 2.5.3-0ubuntu1 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status
update-manager:
  Installed: 1:0.95.2
  Candidate: 1:0.95.2
  Version table:
 *** 1:0.95.2 0
        500 http://archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status
thomas@thomas-laptop:~$

tdflanders (thomasdelbeke) wrote :
Download full text (5.1 KiB)

Starting program: /usr/bin/python2.5 -c -d
[Thread debugging using libthread_db enabled]
[New Thread 0xb7e348d0 (LWP 22503)]

Program exited with code 01.
#0 PyErr_SetFromErrnoWithFilenameObject (exc=0x8145560, filenameObject=0x0) at ../Python/errors.c:39
 v = (PyObject *) 0x9ca25ac
 s = <value optimized out>
 i = <value optimized out>
#1 0x080dd1d9 in PyErr_SetFromErrno (exc=0x8145560) at ../Python/errors.c:368
No locals.
#2 0x08071562 in Py_UniversalNewlineFread (buf=0x9cfc634 "|\020ô\b|\020ô\b$\023ô\bš\023ô\b\f\023ô\bT\023ô\b¬\020ô\b¬\020ô\b¬\020ô\b¬\020ô\bÈ\017ô\b$\023ô\bÈ\017ô\bš\023ô\bÈ\017ô\b\f\023ô\bÈ\017ô\bT\023ô\bP\017ô\bp\020ô\b¬\020ô\b\020\031ô\b\224\020ô\b \020ô\bd\020ô\bp\020ô\b \020ô\b /usr/lib/gio/m\211\201", n=8192, stream=0x9ca5100, fobj=0xb660b3c8) at ../Objects/fileobject.c:2426
 dst = <value optimized out>
 newlinetypes = <value optimized out>
 skipnextlf = <value optimized out>
 nread = <value optimized out>
#3 0x08071c37 in file_read (f=0xb660b3c8, args=0xb7e2402c) at ../Objects/fileobject.c:860
 _save = (PyThreadState *) 0x90abe78
 bytesrequested = -1
 bytesread = 0
 buffersize = 8192
 chunksize = 164605536
 v = (PyObject *) 0x9cfc620
#4 0x080ceb42 in PyEval_EvalFrameEx (f=0x9cfad14, throwflag=0) at ../Python/ceval.c:3612
 sp = (PyObject **) 0x9cfae60
 stack_pointer = (PyObject **) 0x9cfae60
 next_instr = (unsigned char *) 0x9c1f2fc "i\023"
 opcode = <value optimized out>
 oparg = 0
 why = <value optimized out>
 err = 0
 x = (PyObject *) 0x9c81a6c
 v = (PyObject *) 0xb7fc4140
 w = (PyObject *) 0x8f410b8
 u = (PyObject *) 0xb7e25098
 t = <value optimized out>
 stream = (PyObject *) 0xb4ab9e7c
 freevars = (PyObject **) 0x9cfae5c
 retval = (PyObject *) 0x0
 tstate = (PyThreadState *) 0x90abe78
 co = (PyCodeObject *) 0xb660be78
 instr_ub = -1
 instr_lb = 0
 instr_prev = -1
 first_instr = (unsigned char *) 0x9c1f16c "|\001"
 names = (PyObject *) 0xb66091ec
 consts = (PyObject *) 0xb65d9aac
#5 0x080cfea5 in PyEval_EvalCodeEx (co=0xb660be78, globals=0xb52bdcec, locals=0x0, args=0x9c1e888, argcount=1, kws=0x9c1e88c, kwcount=0, defs=0x9c9ded8, defcount=2, closure=0x0) at ../Python/ceval.c:2875
 f = (PyFrameObject *) 0x9cfad14
 retval = <value optimized out>
 freevars = (PyObject **) 0x9cfae5c
 tstate = (PyThreadState *) 0x90abe78
 x = <value optimized out>
 u = (PyObject *) 0x9c1e888
#6 0x080ce7d4 in PyEval_EvalFrameEx (f=0x9c1e70c, throwflag=0) at ../Python/ceval.c:3708
 sp = (PyObject **) 0x9c1e88c
 stack_pointer = (PyObject **) 0x9c1e88c
 next_instr = (unsigned char *) 0x8f782bc "\001|\v"
 opcode = <value optimized out>
 oparg = 0
 why = <value optimized out>
 err = 0
 x = (PyObject *) 0xb667789c
 v = (PyObject *) 0xb7fc4140
 w = (PyObject *) 0x0
 u = (PyObject *) 0x0
 t = <value optimized out>
 stream = (PyObject *) 0x0
 freevars = (PyObject **) 0x9c1e888
 retval = (PyObject *) 0x0
 tstate = (PyThreadState *) 0x90abe78
 co = (PyCodeObject *) 0xb7e4d608
 instr_ub = -1
 instr_lb = 0
 instr_prev = -1
 first_instr = (unsigned char *) 0x8f7810c "z{\002|"
 names = (PyObject *) 0xb7e4f38c
 consts = (PyObject *) 0xb7e3e50c
#7 0x080cfea5 in PyEval_EvalCodeEx (co=0xb7e4d608, globals=0xb7de7a44, locals=0x0, args=0xb6611b0...

Read more...

tdflanders (thomasdelbeke) wrote :

I cannot provide any /var/log files for this. The reason is that both these crashes occurred on a live-cd and my swap is not big enough to download all dbgsym's and gdb, alleyoop, valgrind and valgrind and stuff. I also would need to update or debug network-manager first, since I only have wireless or mobile broadband access. Also I cannot #root dpkg-reconfigure -aup low, because I cannot reboot! I cannot possibly upload anything less than the minimal report and I did not save .x-session-errors or a log file for this.

It is not reproducible from hard disk. #root apt-get check is irrelevant for the aforementioned reason.

I post a copy: on the forum and one to Michael and Arnaud. (If this is not the right procedure, please tell me which exact steps to take next time.)

Thanks!

Thomas

<8.10 beta>

Bug #282426 reported by tdflanders on 2008-10-13 (Activity log)
(undecided) Bug #282426:
This report is public
update-manager crashed with SIGSEGV [edit]

This bug report was marked for expiration 14 days ago. (find out why)

<9.04 alfa 2>

Bug #312364 reported by tdflanders on 2008-12-30 (Activity log)
(undecided) Bug #312364:
This report is public
update-manager crashed with SIGSEGV in PyErr_SetFromErrnoWithFilenameObject() [edit]

Forum:

http://ubuntuforums.org/showthread.php?p=6472350#post6472350

tdflanders (thomasdelbeke) wrote :

Hi Michael,

I just remembered that I got a python-gobject warning on one of my previously reported synaptic bugs (8.10 alfas). I hope to hear back from anyone soon. Otherwise I will try to contact Sebastian Heinlein, as I think he may actually be responsible for this kind of stuff. (Really, there were so many people 'contacted' with my last bug report that I am only guessing. Happy new year anyway to the lot of you. LOL)

The problem below generated a crash report and apport-gtk did its thing. I got the pop-up "not a genuine ubuntu package". I guess this is because it is an early jaunty 'dbgsym'? Or was this really replaced (e.g. python-gobject by python2.5)?

root@thomas-laptop:/home/thomas# apt-get install python-gobject
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-gobject is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@thomas-laptop:/home/thomas# apt-get install python-gobject-dbgsym
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed
  python-gobject-dbgsym
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 243kB of archives.
After this operation, 745kB of additional disk space will be used.
Get: 1 http://ddebs.ubuntu.com jaunty/main python-gobject-dbgsym 2.15.4-1 [243kB]
Fetched 243kB in 22s (10.8kB/s)
Selecting previously deselected package python-gobject-dbgsym.
(Reading database ... 348134 files and directories currently installed.)
Unpacking python-gobject-dbgsym (from .../python-gobject-dbgsym_2.15.4-1_i386.ddeb) ...
dpkg: error processing /var/cache/apt/archives/python-gobject-dbgsym_2.15.4-1_i386.ddeb (--unpack):
 trying to overwrite `/usr/lib/debug/usr/lib/python2.5/site-packages/gtk-2.0/glib/_glib.so', which is also in package python-gobject-dbg
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/python-gobject-dbgsym_2.15.4-1_i386.ddeb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@thomas-laptop:/home/thomas# apt-get remove python-gobject-dbg
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED
  python-gnome2-desktop-dbg python-gnome2-extras-dbg python-gobject-dbg
  python-gst0.10-dbg python-gtk2-dbg
0 upgraded, 0 newly installed, 5 to remove and 0 not upgraded.
After this operation, 19.6MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.
root@thomas-laptop:/home/thomas#

tdflanders (thomasdelbeke) wrote :

root@thomas-laptop:/home/thomas# apt-get install python-gst0.10-dbgsym
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Couldn't find package python-gst0.10-dbgsym
root@thomas-laptop:/home/thomas# apt-get install python-gst0.10-dbg
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  python-gobject-dbg
The following NEW packages will be installed
  python-gobject-dbg python-gst0.10-dbg
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/1988kB of archives.
After this operation, 6308kB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
root@thomas-laptop:/home/thomas# apt-get build-dep python-gst0.10-dbgsym
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to find a source package for python-gst0.10-dbgsym
root@thomas-laptop:/home/thomas# apt-get build-dep python-gst0.10
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed
  python-gobject-dbg
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/565kB of archives.
After this operation, 1831kB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
root@thomas-laptop:/home/thomas#

Changed in update-manager:
status: New → Confirmed
tdflanders (thomasdelbeke) wrote :
Download full text (22.1 KiB)

Hi Michael,

weird problem here, see debug files in the three debug reports (please triage together and possibly mark as duplicate):

#312364
#315462
#282426

Cheers,

Thomas

root@ubuntu:/home/ubuntu# gdb update-manager | tee gdb-update-manager.txt
"/usr/bin/update-manager": not in executable format: File format not recognized
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
(gdb) handle SIG33 pass nostop noprint
Signal Stop Print Pass to program Description
SIG33 No No Yes Real-time event 33
(gdb) set pagination 0
(gdb) set logging file gdb-update-manager.log
(gdb) set logging on
Copying output to gdb-update-manager.log.
(gdb) attach 7192
Attaching to process 7192
Reading symbols from /usr/bin/python2.5...(no debugging symbols found)...done.
Reading symbols from /lib/tls/i686/cmov/libpthread.so.0...(no debugging symbols found)...done.
[Thread debugging using libthread_db enabled]
[New Thread 0xb7d908c0 (LWP 7192)]
Loaded symbols for /lib/tls/i686/cmov/libpthread.so.0
Reading symbols from /lib/tls/i686/cmov/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libdl.so.2
Reading symbols from /lib/tls/i686/cmov/libutil.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libutil.so.1
Reading symbols from /lib/tls/i686/cmov/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libm.so.6
Reading symbols from /lib/tls/i686/cmov/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/libc.so.6
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /var/lib/python-support/python2.5/gtk-2.0/glib/_glib.so...(no debugging symbols found)...done.
Loaded symbols for /var/lib/python-support/python2.5/gtk-2.0/glib/_glib.so
Reading symbols from /usr/lib/pygobject/python2.5/libpyglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/pygobject/python2.5/libpyglib-2.0.so.0
Reading symbols from /usr/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libgthread-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgthread-2.0.so.0
Reading symbols from /lib/tls/i686/cmov/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/cmov/librt.so.1
Reading symbols from /usr/lib/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libffi.so.5...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libffi.so.5
Reading symbols from /lib/libpcre.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.3
Reading symbols from /usr/lib/python2.5/lib-dynload/strop.so....

tdflanders (thomasdelbeke) wrote :

root@ubuntu:/home/ubuntu# update-manager -c -d
Bus error (core dumped)
root@ubuntu:/home/ubuntu# ls /var/crash
libcairo2.0.crash libglib2.0-0.0.crash _usr_bin_gksu.0.crash
root@ubuntu:/home/ubuntu# apport-retrace -g /var/crash/libcairo2.0.crash
The program 'apport-retrace' is currently not installed. You can install it by typing:
apt-get install apport-retrace
bash: apport-retrace: command not found
root@ubuntu:/home/ubuntu# apt-get install apport-retrace-dbgsym
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
root@ubuntu:/home/ubuntu# dpkg --configure -a
dpkg: parse error, in file `/var/lib/dpkg/updates/0243' near line 1:
 newline in field name `#padding'
root@ubuntu:/home/ubuntu# dpkg --configure -a
dpkg: parse error, in file `/var/lib/dpkg/updates/0243' near line 1:
 newline in field name `#padding'
root@ubuntu:/home/ubuntu#

tdflanders (thomasdelbeke) wrote :

root@ubuntu:/home/ubuntu# ls -la /var/crash
total 820
drwxrwxrwx 2 1000 root 160 2009-01-09 15:45 .
drwxr-xr-x 15 root root 141 2008-10-29 23:12 ..
-rwxrwxrwx 1 1000 root 240014 2009-01-09 15:24 libcairo2.0.crash
-rwxrwxrwx 1 1000 root 237568 2009-01-09 15:24 libglib2.0-0.0.crash
-rwxrwxrwx 1 1000 root 0 2009-01-09 15:25 .lock
-rwxrwxrwx 1 1000 ubuntu 120362 2009-01-09 15:44 _usr_bin_gedit.999.crash
-rwxrwxrwx 1 1000 root 80119 2009-01-09 15:25 _usr_bin_gksu.0.crash
-rwxrwxrwx 1 1000 ubuntu 110658 2009-01-09 15:45 _usr_bin_nautilus.999.crash
root@ubuntu:/home/ubuntu#

tdflanders (thomasdelbeke) wrote :

Ok, I do not just feel like debugging dpkg with gdb as I need to go to the post office for registered mail before closing time.

Anyway,

Tomorrow is a new day ...

tdflanders (thomasdelbeke) wrote :

Anyway:

root@ubuntu:/home/ubuntu# apt-get install dpkg
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
root@ubuntu:/home/ubuntu# gdb dpkg 2>&1 | tee gdb-dpkg.txt
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
(no debugging symbols found)
(gdb)

tdflanders (thomasdelbeke) wrote :
tdflanders (thomasdelbeke) wrote :
Kjell Braden (afflux) wrote :

Please don't confirm your own bugs.
Please explain how this crash happened and, if possible, how to reproduce. Thanks.

Changed in update-manager:
status: Confirmed → Incomplete
tdflanders (thomasdelbeke) wrote :
Download full text (3.5 KiB)

Hi Kjell,

sorry for confirming my own bug. I do not do that anymore, after someone first told me a couple of weeks ago.

This one is easily reproducible:

sudo update-manager -c -d

Then first type update instead of distribution update above.

Unfortunately I can still not install the dbg nor the dbgsym required (see below).

I reported a bug against it. Someone closed it, then Martin Mai reopened it, then you closed it:

https://bugs.launchpad.net/update-manager/+bug/315462

I have no idea, is this because der Pitti's key was failing?

Duncan Litow said this some days ago:

https://wiki.ubuntu.com/DebuggingProgramCrash

No this message is gone.

Anyway,

I now cannot update-manager under gdb and set logging file. I need to reinstall 8.10 anyway, so I will quickly check if the problem still exists.

root@thomas-laptop:/home/thomas# apt-get install update-manager-core-dbgsym
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
  update-manager-core-dbgsym: Depends: update-manager-core (= 1:0.93.34) but 1:0.93.35 is to be installed
E: Broken packages
root@thomas-laptop:/home/thomas# lsb_release -rd ; uname -a ; apt-cache policy update-manager update-manager-core update-manager-core-dbgsym ; date
Description: Ubuntu 8.10
Release: 8.10
Linux thomas-laptop 2.6.27-12-generic #1 SMP Thu Feb 5 09:26:35 UTC 2009 i686 GNU/Linux
update-manager:
  Installed: 1:0.93.35
  Candidate: 1:0.93.35
  Version table:
 *** 1:0.93.35 0
        500 http://gb.archive.ubuntu.com intrepid-proposed/main Packages
        100 /var/lib/dpkg/status
     1:0.93.34 0
        500 http://gb.archive.ubuntu.com intrepid-updates/main Packages
     1:0.93.32 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
update-manager-core:
  Installed: 1:0.93.35
  Candidate: 1:0.93.35
  Version table:
 *** 1:0.93.35 0
        500 http://gb.archive.ubuntu.com intrepid-proposed/main Packages
        100 /var/lib/dpkg/status
     1:0.93.34 0
        500 http://gb.archive.ubuntu.com intrepid-updates/main Packages
     1:0.93.32 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
update-manager-core-dbgsym:
  Installed: (none)
  Candidate: 1:0.93.34
  Version table:
     1:0.93.34 0
        500 http://ddebs.ubuntu.com intrepid-updates/main Packages
        500 http://ddebs.ubuntu.com intrepid-updates/main Packages
     1:0.93.32 0
        500 http://ddebs.ubuntu.com intrepid/main Packages
        500 http://ddebs.ubuntu.com intrepid/main Packages
Tue Feb 17 19:07:30 GMT 2009
root@thomas-laptop:/home/thomas#

root@thomas-laptop:/home/thomas# apt-cache search update-manager | grep "dbg"
update-manager-core-dbgsym - debug symbols ...

Read more...

Alex Denvir (coldfff) wrote :

We are closing this bug report because it has not been updated for some time. Please reopen it if you have more information to submit, and don't hesitate to submit bug reports in the future. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks again!

Changed in update-manager (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers